Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
monavamonava

Xin Cao Thủ Trợ Giúp Phá Block Sau

Các bài được khuyến nghị

Chào các bác, em vô tình tạo ra một Khung tên dạng Block như file sau:

- Mong được trợ giúp phá block này.

- Các bác có thể cho biết cách tạo ra nó được không?!!!(Quả thực em không nhớ đã tạo ra nó bằng cách nào nửa).

Xin cảm ơn

https://drive.google.com/open?id=0B2EkSfYKihPod2lCSnNaZkRUSVE

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

1. Phá bằng lisp:

(defun c:tt  (/ blk bln doc ebl)
  (and (setq doc (vla-get-Blocks (vla-get-ActiveDocument (vlax-get-acad-object))))
       (setq blk (ssget "_+.:S:E" '((0 . "INSERT"))))
       (setq ebl (ssname blk 0))
       (setq bln (cdr (assoc 2 (entget ebl))))
       (not (vla-put-explodable (vla-item doc bln) :vlax-true))
       (vla-explode (vlax-ename->vla-object ebl)))
  (princ))

2. Nằm ở chỗ khoanh màu đỏ:

OXwcVn.jpg

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

1. Phá bằng lisp:

(defun c:tt  (/ blk bln doc ebl)

  (and (setq doc (vla-get-Blocks (vla-get-ActiveDocument (vlax-get-acad-object))))

       (setq blk (ssget "_+.:S:E" '((0 . "INSERT"))))

       (setq ebl (ssname blk 0))

       (setq bln (cdr (assoc 2 (entget ebl))))

       (not (vla-put-explodable (vla-item doc bln) :vlax-true))

       (vla-explode (vlax-ename->vla-object ebl)))

  (princ))

2. Nằm ở chỗ khoanh màu đỏ:

OXwcVn.jpg

Sao em copy mã lisp của bác rồi gõ lệnh tt mà không được nhỉ...  Bác có thể cho lisp hoàn chỉnh(file lisp) và lệnh thực hiện được không?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×